Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\SectionIdentifier Class Reference

Visits the SectionIdentifier sort clause. More...

Inheritance diagram for eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\SectionIdentifier:

## Public Member Functions
| canVisit (SortClause $sortClause)
| Check if visitor is applicable to current sortClause. More...
| visit (SortClause $sortClause)
| Map field value to a proper Elasticsearch representation. More...

## Additional Inherited Members
Protected Member Functions inherited from eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor
| getDirection (SortClause $sortClause)
| Get Elasticsearch sort direction for sort clause. More...

## Detailed Description

Visits the SectionIdentifier sort clause.

Definition at line 15 of file Core/Search/Elasticsearch/Content/SortClauseVisitor/SectionIdentifier.php.

## Member Function Documentation

## ◆ canVisit()

eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\SectionIdentifier::canVisit | ( | SortClause | $sortClause | ) |

Check if visitor is applicable to current sortClause.

Parameters

  \eZ\Publish\API\Repository\Values\Content\Query\SortClause | $sortClause |

Returns
  bool

Reimplemented from eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor.

Definition at line 24 of file Core/Search/Elasticsearch/Content/SortClauseVisitor/SectionIdentifier.php.

## ◆ visit()

eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\SectionIdentifier::visit | ( | SortClause | $sortClause | ) |

Map field value to a proper Elasticsearch representation.

Parameters

  \eZ\Publish\API\Repository\Values\Content\Query\SortClause | $sortClause |

Returns
  mixed

Reimplemented from eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor.

Definition at line 36 of file Core/Search/Elasticsearch/Content/SortClauseVisitor/SectionIdentifier.php.

References eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\getDirection().

The documentation for this class was generated from the following file:

- Core/Search/Elasticsearch/Content/SortClauseVisitor/SectionIdentifier.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.